<?php
 
require("class.phpmailer.php");
$mail = new PHPMailer();
   
$mail->Host = "ssl://smtp.gmail.com";
$mail->Port = 465;
$mail->Username = $_POST["email1"];
$mail->Password = $_POST["clave"];
     
$mail->From = $_POST["email1"];
$mail->FromName = $_POST["nombre"];

$mensaje =$_POST["Mensaje"];

if ($_POST["atributo"]=="0" or $_POST["dado"]=="0" or $_POST["valatrib"]=="0")
{
$mensaje = $mensaje." El jugador no ha realizado ninguna tirada.";
}
else
{
  if ($_POST["cantidad"]=="1")
  {
  $t1=rand(1,$_POST["dado"]);
  $cadenadado=$t1;
  $valor=$t1;
  }
  if ($_POST["cantidad"]=="2")
  {
  $t1=rand(1,$_POST["dado"]);
  $t2=rand(1,$_POST["dado"]);
  $cadenadado=$t1."+".$t2;
  $valor=$t1+$t2;
  }
  if ($_POST["cantidad"]=="3")
  {
  $t1=rand(1,$_POST["dado"]);
  $t2=rand(1,$_POST["dado"]);
  $t3=rand(1,$_POST["dado"]);
  $cadenadado=$t1."+".$t2."+".$t3;
  $valor=$t1+$t2+$t3;
  }
if ($_POST["habilidad"]=="Habilidad no definida")
{
$valorhabilidad=0;
}
else
{
$valorhabilidad=$_POST["valhabi"];
}
$valor=$valor + $_POST["valatrib"]+ $valorhabilidad;


$mensaje = $mensaje."Tirada de ".$_POST["cantidad"]."d".$_POST["dado"]." (".$cadenadado.")
+ ".$_POST["atributo"]." (".$_POST["valatrib"].") "."+ ".$_POST["habilidad"]." (".$valorhabilidad.") "." igual a ".$valor.".";

}

if ($_POST["cliche"]!=" ")
{
$mensaje = $mensaje." El jugador ha utilizado el cliché ".$_POST["cliche"].".";
}


$mail->Body = $mensaje;

$asunto = "Mensaje de ".$_POST["nombre"]." sobre la partida ".$_POST["partida"].". Fecha/turno de juego:".$_POST["fecha"].".";
$mail->Subject = $asunto;

$mail->AddAddress($_POST["email1"]);
$mail->AddAddress($_POST["email2"]);
$mail->AddAddress($_POST["email3"]);
$mail->AddAddress($_POST["email4"]);
$mail->AddAddress($_POST["email5"]);

$mail->AltBody = "Hola amigo\nprobando PHPMailer\n\nSaludos";

$mail->Send();

echo "</br>"; 
echo "El mensaje ´´".$mensaje."``";
echo "</br>"; 
echo "ha sido enviado a ".$_POST["email1"].", ".$_POST["email2"].", ".$_POST["email3"].", ".$_POST["email4"].", ".$_POST["email5"];

?>


